Docs

Create Asset

POST /documents/{documentId}/assets

POST/documents/{documentId}/assets

Registers an uploaded file (such as an image) for a document and returns its id and a write-only upload URL to PUT the file to. Counts against the organization's storage allowance. Requires the EventDocumentsEdit permission or a share on the document.

Path Parameters

FieldTypeRequiredDescription
documentIduuidRequired

Request Body

FieldTypeRequiredDescription
fileNamestringOptional
contentTypestringOptional
sizeintegerOptional

Response

FieldTypeDescription
iduuid
sasUriuri| null